{
  config,
  pkgs,
  inputs,
  ...
}: {
  imports = [
    ./languages.nix
  ];

  programs.helix = {
    enable = true;
    # package = inputs.helix.packages."x86_64-linux".default;

    package = inputs.helix.packages.${pkgs.system}.default.overrideAttrs (self: {
      makeWrapperArgs = with pkgs;
        self.makeWrapperArgs
        or []
        ++ [
          "--suffix"
          "PATH"
          ":"
          (lib.makeBinPath [
            clang-tools
            marksman
            nil
            nodePackages.bash-language-server
            shellcheck
            java-language-server
          ])
        ];
    });

    settings = {
      theme = "rose_pine_moon";
      editor = {
        line-number = "relative";
        lsp.display-messages = true;
        scrolloff = 5;
        middle-click-paste = false;
        cursorline = true;
        auto-format = false;
        idle-timeout = 400;
        color-modes = true;
        soft-wrap.enable = true;
        whitespace = {
          render = {
            space = "none";
            tab = "none";
            newline = "none";
          };
        };
        indent-guides = {
          render = true;
          character = "▏";
          rainbow-option = "dim";
        };
      };
    };
  };
}
