{pkgs, ...}: {
  home = {
    username = "tacocat";
    homeDirectory = "/home/tacocat";
    stateVersion = "23.11";
    sessionVariables = {
      EDITOR = "hx";
      BAT_THEME = "ansi";
      DOTNET_ROOT = "$HOME/.dotnet";
    };
    sessionPath = [
      "$HOME/.local/bin"
      "$HOME/.dotnet"
    ];
    shellAliases = {
      ls = "eza";
      la = "eza -la";
      l = "eza -l";
      cat = "bat";
      gaa = "git add .";
      gcm = "git commit -m";
      gpom = "git push -u origin main";
    };
    packages = with pkgs; [
      wineWowPackages.unstable
      eza
      bat
      comic-mono
    ];
  };

  fonts.fontconfig.enable = true;

  # # You can also create simple shell scripts directly inside your
  # # configuration. For example, this adds a command 'my-hello' to your
  # # environment:
  # (pkgs.writeShellScriptBin "my-hello" ''
  #   echo "Hello, ${config.home.username}!"
  # '')
  # ];

  # Home Manager is pretty good at managing dotfiles. The primary way to manage
  # plain files is through 'home.file'.
  # home.file = {
  # # Building this configuration will create a copy of 'dotfiles/screenrc' in
  # # the Nix store. Activating the configuration will then make '~/.screenrc' a
  # # symlink to the Nix store copy.
  # ".screenrc".source = dotfiles/screenrc;

  # # You can also set the file content immediately.
  # ".gradle/gradle.properties".text = ''
  #   org.gradle.console=verbose
  #   org.gradle.daemon.idletimeout=3600000
  # '';
  # };

  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;
}
